Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/signature.h File Reference

Generate and verify signatures. More...

`#include <header.h>`

Go to the source code of this file.

## Defines
#define | RPMLOOKUPSIG_QUERY 0 /*!< Lookup type in effect */
| Possible actions for rpmLookupSignatureType(). More...
#define | RPMLOOKUPSIG_DISABLE 1 /*!< Disable (--sign was not given) */
#define | RPMLOOKUPSIG_ENABLE 2 /*!< Re-enable %_signature */
## Typedefs
typedef enum sigType_e | sigType
typedef enum pgpVersion_e | pgpVersion
## Enumerations
enum | sigType_e { RPMSIGTYPE_HEADERSIG = 5 }
enum | pgpVersion_e { PGP_NOTDETECTED = -1, PGP_UNKNOWN = 0, PGP_2 = 2, PGP_5 = 5 }
## Functions
Header | rpmNewSignature (void)
rpmRC | rpmReadSignature (FD_t fd, Header *sighp, sigType sig_type)
int | rpmWriteSignature (FD_t fd, Header h)
int | rpmAddSignature (Header sig, const char *file, int_32 sigTag, const char *passPhrase)
int | rpmLookupSignatureType (int action)
char * | rpmGetPassPhrase (const char *prompt, const int sigTag)
const char * | rpmDetectPGPVersion (pgpVersion *pgpVer)

## Detailed Description

Generate and verify signatures.

Definition in file signature.h.

## Define Documentation

#define RPMLOOKUPSIG_DISABLE 1 /*!< Disable (--sign was not given) */

| Definition at line 82 of file signature.h. Referenced by main, and rpmLookupSignatureType.

#define RPMLOOKUPSIG_ENABLE 2 /*!< Re-enable %_signature */

| Definition at line 83 of file signature.h. Referenced by rpmLookupSignatureType.

#define RPMLOOKUPSIG_QUERY 0 /*!< Lookup type in effect */

| Possible actions for rpmLookupSignatureType(). Definition at line 81 of file signature.h. Referenced by main, rpmLookupSignatureType, rpmReSign, and writeRPM.